<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    
    <xsl:template match="/">
        <xsl:apply-templates select="//arbre"/>
    </xsl:template>
    
   
    <xsl:template match="arbre">
        <xsl:apply-templates select="child::noeud"/>
    </xsl:template>
    
  
    <xsl:template match="noeud">
            <xsl:choose>
                <xsl:when test="./@val ='et' ">
                    <xsl:variable name="fg">
                        <xsl:apply-templates select="child::noeud[position()='1']"></xsl:apply-templates>
                    </xsl:variable>
                    <xsl:variable name="fd">
                        <xsl:apply-templates select="child::noeud[position()='2']"></xsl:apply-templates>
                    </xsl:variable>
                    <xsl:value-of select="$fg= 'vrai'  and $fd='vrai'"/>
                </xsl:when>
                
                <xsl:when test="./@val ='ou' ">
                    <xsl:variable name="fg">
                        <xsl:apply-templates select="child::noeud[position()='1']"></xsl:apply-templates>
                    </xsl:variable>
                    <xsl:variable name="fd">
                        <xsl:apply-templates select="child::noeud[position()='2']"></xsl:apply-templates>
                    </xsl:variable>
                    <xsl:value-of select="$fg= 'vrai' or $fd='vrai'"/>
                </xsl:when>
                
                <xsl:otherwise>
                    <xsl:value-of select="./@val"/>
                </xsl:otherwise> 
            </xsl:choose>
    </xsl:template>
    
</xsl:stylesheet>
