<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   	
<xsl:template match="/">
	<xsl:apply-templates select="//arbre"/>
</xsl:template>
    
<!--Premier appel sur la racine de larbre -->
<xsl:template match="arbre">
	<xsl:apply-templates select="child::noeud"/>
</xsl:template> 

<!-- fonction rcursive -->
<xsl:template match="noeud">
	<!-- Impression de la valeur du noeud -->
	<xsl:value-of select="concat(attribute::val,', ')"/>
	<!-- Rappel de la fonction pour le fils gauche -->
	<xsl:apply-templates select="child::noeud[position()='1']"/>
	<!-- Rappel de la fonction pour le fils droit -->
	<xsl:apply-templates select="child::noeud[position()='2']"/>
</xsl:template>
</xsl:stylesheet>

